Post
The Post API endpoint creates a new content item for the specified content type.
To determine valid field names, refer to a Get request response for the same content type.
Endpoint
POST /api/v1/{content_type}
Path Parameters
| Parameter | Description |
|---|---|
content_type |
The route identifier of the requested content type |
Request Body
The request body should include the field names and values for the new content item.
Field names can be discovered by performing a Get request on the same content type.
Response Structure
A successful response returns a confirmation message and the newly created item.
Default Data Fields
| Field | Description |
|---|---|
id |
Unique identifier of an item |
created_at |
Date of creation |
updated_at |
Date of last update |
author_id |
ID of the user who created the item |
group_id |
ID of a group that the items belongs to |
Notes
- Only valid fields for the content type can be submitted.
- Invalid or unknown fields will be ignored or rejected depending on configuration.
- Required fields depend on the content type schema.
id,created_at, andupdated_atare generated automatically by the system.
More Examples
For more examples, visit: